Subject: Re: bug#70978: test suite failures on NetBSD

From: Ileana Dumitrescu <[email-masked]>
Date: Tue, 11 Feb 2025 18:00:28 +0200

Hi Bruno,

On 11/02/2025 10:05, Bruno Haible wrote:
> Hi Ileana,
> 
> Ileana Dumitrescu wrote:
>> I have applied a patch to the development branch [1] that resolves test
>> failure 61, currently 63: passing CXX flags through libtool.
> 
> This patch does not look right: It replaces an option sequence
> 
>    --as-needed -lgcc_s --no-as-needed -lgcc -lc --as-needed -lgcc_s --no-as-needed -lgcc
> 
> that has balanced uses of --as-needed/--no-as-needed with an option sequence
> 
>    --as-needed -lgcc_s
> 
> that leaves --as-needed in effect for the later linker options.

Thank you for the review. I should have replaced with an empty string
instead, which would mirror the previous replacement. I will update
this now.

Also, this patch should have version checking to decide whether to
use the patch version of the replacement or the previous one, but I
am not sure when these options changed.

-- 
Ileana Dumitrescu

GPG Public Key: FA26 CA78 4BE1 8892 7F22 B99F 6570 EA01 146F 7354